すべての機能を一覧表示
GET /accounts/{account_id}/core/v1/features
コレクション内の一致するすべてのリソースのJSON配列を返します。リクエストで個別のフィールドが指定されている場合、アイテムのJSON配列には、一致する各リソースに対して要求されたフィールドが、指定された順序で含まれます。
パラメータ
| Name | を入力します | 入力 | 必須 | 説明 |
|---|---|---|---|---|
account_id |
string |
path(パス) |
True |
包含するアカウントリソースのID
|
含める |
string |
query |
False |
コレクションを一覧表示する際に、どのフィールドを返すかを指定します。 URLの例:"include=id"、"include=id,name" OpenAPI の例:"id" |
制限( Limit ) |
string |
query |
False |
コレクションを一覧表示する際に返されるリソースの最大数を示します。 URLの例:"limit=2" OpenAPI の例:"2" |
フィルタ |
string |
query |
False |
コレクションを一覧表示する際に、リソースを返すためにどのフィールドを一致させる必要があるかを示します。 サポートされているオペレータは次のとおりです:
URLの例:"filter=field%20eq%20%27value%27" OpenAPI の例:「field eq 'value'」 |
カウント |
string |
query |
False |
メタデータオブジェクトで返されるリソースの総数。 URLの例:"count=true" OpenAPI の例:"true" |
OrderBy |
string |
query |
False |
コレクションを一覧表示する際の、リソースの並び順を示します。 URLの例:"orderBy=name"、"orderBy=name%20desc" OpenAPI の例:"name desc" |
スキップします |
string |
query |
False |
コレクションを一覧表示する際にスキップするリソースの数を指定します。 URLの例:「skip=1」 OpenAPI の例:"1" |
応答
Status: 200, Returns a JSON array of all matching resources in the collection. If individual fields are specified in the request, the items JSON array will contain the fields requested for each matching resource in the order specified.
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
項目 |
配列[いずれか:"feature_1.1_get_response_body"、配列[]] |
True |
|
メタデータ |
True |
回答例
{
"type": "application/astra-features",
"version": "1.1",
"items": [
{
"type": "application/astra-feature",
"version": "1.0",
"id": "c1d4d2f7-9b30-45a2-9657-8b24f17a4fd1",
"name": "astra.account.rbac",
"isEnabled": "true",
"metadata": {
"labels": [],
"creationTimestamp": "2021-02-19T22:10:22.448274Z",
"modificationTimestamp": "2021-02-19T22:10:22.448274Z",
"createdBy": "c9550bbb-e70b-4578-8504-07397f875bcb"
}
},
{
"type": "application/astra-feature",
"version": "1.0",
"id": "85c693cd-2f89-4944-982a-e885301162bd",
"name": "astra.account.smtp",
"isEnabled": "false",
"metadata": {
"labels": [],
"creationTimestamp": "2021-02-19T22:10:22.448274Z",
"modificationTimestamp": "2021-02-19T22:10:22.448274Z",
"createdBy": "c9550bbb-e70b-4578-8504-07397f875bcb"
}
}
],
"metadata": {
"labels": [],
"creationTimestamp": "2022-10-06T20:58:16.305662Z",
"modificationTimestamp": "2022-10-06T20:58:16.305662Z",
"createdBy": "8f84cf09-8036-51e4-b579-bd30cb07b269"
}
}
応答
Status: 401, Unauthorized
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
回答例
{
"type": "https://astra.netapp.io/problems/3",
"title": "Missing bearer token",
"detail": "The request is missing the required bearer token.",
"status": "401"
}
応答
Status: 400, Bad request
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
|
invalidParams |
配列["invalidParams"] |
False |
無効なクエリパラメータのリスト |
回答例
{
"type": "https://astra.netapp.io/problems/5",
"title": "Invalid query parameters",
"detail": "The supplied query parameters are invalid.",
"status": "400"
}
応答
Status: 403, Forbidden
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
回答例
{
"type": "https://astra.netapp.io/problems/11",
"title": "Operation not permitted",
"detail": "The requested operation isn't permitted.",
"status": "403"
}
応答
Status: 503, Service unavailable
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
回答例
{
"type": "https://astra.netapp.io/problems/41",
"title": "Service not ready",
"detail": "Currently, the service can't respond to this request.",
"status": "503"
}
エラー
Status: 404, Not found
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
|
タイトル |
string |
True |
|
詳細 |
string |
True |
|
ステータス |
string |
True |
|
correlationID |
string |
False |
エラー応答の例
{
"type": "https://astra.netapp.io/problems/2",
"title": "Collection not found",
"detail": "The collection specified in the request URI wasn't found.",
"status": "404"
}
用語の意味
定義を参照
type_astra_label
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
名前 |
string |
True |
|
Value |
string |
True |
type_astra_metadata
リソースに関連付けられた、クライアントおよびサービス指定のメタデータ。定義された値は次のとおりです:
-
Astraメタデータスキーマに準拠
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
ラベル |
True |
||
作成タイムスタンプ |
string |
True |
|
modificationTimestamp |
string |
True |
|
作成者 |
string |
True |
|
modifiedBy |
string |
False |
feature_1.1_get_response_body
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
を入力します |
string |
True |
リソースのメディアタイプ。定義された値は次のとおりです:
|
バージョン |
string |
True |
リソースのバージョン。定義された値は次のとおりです:
|
ID |
string |
True |
リソースのグローバル一意識別子。定義された値は次のとおりです:
|
名前 |
string |
True |
階層的なドット表記で、機能の名前を含むJSON文字列。定義された値は次のとおりです:
|
isEnabled |
string |
True |
機能フラグがオンかオフかを示す値を含むJSON文字列。定義された値は次のとおりです:
|
メタデータ |
True |
リソースに関連付けられた、クライアントおよびサービス指定のメタデータ。定義された値は次のとおりです:
|
type_astra_metadata_list
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
続行 |
string |
False |
|
カウント |
番号 |
False |
|
ラベル |
False |
||
作成タイムスタンプ |
string |
False |
|
modificationTimestamp |
string |
False |
|
作成者 |
string |
False |
|
modifiedBy |
string |
False |
invalidParams
| Name | を入力します | 必須 | 説明 |
|---|---|---|---|
名前 |
string |
True |
無効なクエリパラメータの名前 |
理由 |
string |
True |
クエリパラメータが無効な理由 |